Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.v3.framework.parser
Class HL7V3MessageEleParse

    java.lang.Object
      com.stc.connector.hl7.v3.framework.parser.HL7V3MessageEleParse

    public class HL7V3MessageEleParse

extends java.lang.Object

This class parses xml instance, creates context, populate it with the needed processing attributes

Author:
  S. Nageswara Rao

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7V3MessageEleParse()`

Method Summary
`static HL7V3TransmissionWrapperContext` | `getTransmissionWrapperContext()` This method can be called to create and populates the transmission wrapper context with the required message processing data
`static void` | `initEventReader(javax.xml.transform.Source source)` initializes the event reader with the xml instance

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7V3MessageEleParse

    public HL7V3MessageEleParse()

Method Detail

### initEventReader

    public static void initEventReader(javax.xml.transform.Source source)

  initializes the event reader with the xml instance

  Parameters:
    `source` -

### getTransmissionWrapperContext

    public static HL7V3TransmissionWrapperContext getTransmissionWrapperContext()
                                                                         throws java.lang.Exception

  This method can be called to create and populates the transmission wrapper context with the required message processing data

  Returns:
    HL7V3TransmissionWrapperContext
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD